Bug 505932 - Review Request: zikula-module-crpTag - Simple Zikula component for tagging items, based on hooks
Review Request: zikula-module-crpTag - Simple Zikula component for tagging it...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-ZIKULA
  Show dependency treegraph
 
Reported: 2009-06-14 16:03 EDT by eric@christensenplace.us
Modified: 2009-07-10 00:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-10 00:45:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description eric@christensenplace.us 2009-06-14 16:03:27 EDT
Spec URL: http://sparks.fedorapeople.org/Packages/zikula-module-crpTag/zikula-module-crpTag.spec
SRPM URL: http://sparks.fedorapeople.org/Packages/zikula-module-crpTag/zikula-module-crpTag-0.1.3-1.fc11.src.rpm
Description: crpTag is a simple Zikula component for tagging items, based on hooks.
Comment 1 Ian Weller 2009-06-14 23:18:09 EDT
I can't sponsor you, so this is a preliminary review.

In the %changelog, you should probably use your name and email address, even though it was worked on as a group during a Docs FAD.

rpmlint output:
zikula-module-crpTag.src: W: mixed-use-of-spaces-and-tabs (spaces: line 5, tab: line 1)

I don't see anything else, so those will need to be fixed and a formal review will need to be completed by a sponsor.
Comment 3 David Nalley 2009-06-17 23:04:21 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ./zikula-module-crpTag.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/zikula-module-crpTag-0.1.3-2.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/zikula-module-crpTag-0.1.3-2.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
There are some MIT licensed javascript files, the balance appears to be LGPLv2.1+ 


FIX: The License field in the package spec file must match the actual license.

So in looking at this - the source repeatedly says it's GNU/GPL v2.1 with lines like the below:
* @license GNU/GPL - v.2.1

However, to my knowledge there is no GPLv2.1. Further the license.txt in pndocs/license.txt is a copy of the LGPLv2.1+ 
You may want to contact upstream for clarification. 

At the very minimum you'll want to change the spec file to reflect that it's LGPLv2+ from it's current GPLv2 - but safe bet is to contact upstream and ensure that's really what they meant and to hopefully get it changed in source. 


OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc


OK: The spec file must be written in American English.
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines 
[ke4qqq@nalleyt61 SOURCES]$ md5sum ./*crp*.zip
51ff4ac0f569e144e07cd886ec0f1fd0  ./crpTag_0.1.3.zip
51ff4ac0f569e144e07cd886ec0f1fd0  ./tags_crpTag_0.1.3-r114.zip


OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
NA: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
Nothing required - just a bunch of copying in 'build'

NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

NA: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.
Comment 5 David Nalley 2009-07-09 22:34:29 EDT
That appears to fix the outstanding issue with the review. 

APPROVED
Comment 6 eric@christensenplace.us 2009-07-09 22:41:16 EDT
New Package CVS Request
=======================
Package Name: zikula-module-crpTag
Short Description: Simple Zikula component for tagging items, based on hooks
Owners: sparks ke4qqq
Branches: F-10 F-11
InitialCC:
Comment 7 Jason Tibbitts 2009-07-09 23:42:51 EDT
CVS done.

Note You need to log in before you can comment on or make changes to this bug.